/*  
    Inicialization 

    */

/* Import písma z Google fonts (fonts.google.com), 'Roboto', 'Open Sans', 'Protest Riot' */ 

    @import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&family=Protest+Riot&family=Roboto:wght@100;300;400;500;700;900&display=swap');


* {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --txt: #191919;
    --heading-txt: #FF4910;
    --secundary-txt: #FFFFFF;
    --cta-btn: #FF4910;
    --hover-cta: #FF7549;
    --secundary-cta-btn: #21206D;
    --bg-color: #151515;
}

body {
    min-height: 100vh;
    overflow-x: hidden;
}

/* START -- Scrollbar Styling */
::-webkit-scrollbar {
    width: 10px;
}
 
::-webkit-scrollbar-track {
    background-color: #ebebeb;
}

::-webkit-scrollbar-thumb {
    background: #ff4810c2;
    border: none;
}
/* END ------------------------> */


/* 
        END Init --------------------------> 
        
        */

/* ------------------------------------------ */

/* 
    Styling >>> index.html <<<
    
    */

.header-container {
    width: 100%;
    height: 80px;
    display: flex;
    position: fixed;
    justify-content: center;
    align-items: center;
    z-index: 5;
    background: #fffffff3; 
}

.navbar-container {
    width: 85%;
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--secundary-txt);
}

.navbar-logo {
    color: #ff6435;
    font-size: 2em;
    font-weight: 700;
    text-transform: uppercase;
    text-decoration: none;
    transition: all ease-in-out .25s;
}

.navbar-icons {
    display: flex;
    align-items: center;
    flex-direction: row;
    list-style-type: none;
}

.navbar-icons a {
    padding: 0 10px;
    margin: 0 10px;
    color: black;
    font-size: 1.9rem;
    text-transform: uppercase;
    text-decoration: none;
    transition: all ease-in-out .25s;
}

.nav-container {
    width: 100%;
    height: 100vh;    
    position: absolute;
    display: none;
    justify-content: space-evenly;
    align-items: center;
    background: rgba(0, 0, 0);
    z-index: 10;
}

.nav-links {
    flex-direction: column;
    list-style-type: none;
}

.nav-links li {
    padding: 30px 0;
}

.nav-links li a {
    color: var(--secundary-txt--);
    font-size: 1.2em;
    text-transform: uppercase;
    text-decoration: none;
    color: #ebebeb;
    transition: all ease-in-out .25s;
}

.cta-btn {
    width: 160px;
    height: 50px;
    color: #FFFFFF;
    font-size: .9rem;
    font-weight: 700;
    text-transform: uppercase;
    margin-right: 20px;
    background: #ff6435;
    border-radius: 25px;
    border: none;
    transition: all ease-in-out .25s;
    cursor: pointer;
}

.cta-btn:hover {
    background: #fc0400;
}

.row .cta-btn {
    margin-right: 0px;
}

.menu-tlacitko {
    width: 50px;
    height: 50px;
    margin: 0 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.bars{
    width: 28px;
    height: 4px;
    border-radius: 30px;
    background: black;
    z-index: 13;
    transition: all ease-in-out .4s;
}

.bars::before {
    content: '';
    width: 28px;
    height: 4px;
    position: absolute;
    transform: translateY(-10px);
    border-radius: 30px;
    background: black;
    transition: all ease-in-out 1s;
}

.bars::after {
    content: '';
    width: 28px;
    height: 4px;
    position: absolute;
    transform: translateY(10px);
    border-radius: 30px;
    background: black;
    opacity: 1;
    transition: all ease-in-out .75s;
} 

.nav-logo:hover, .navbar-links a:hover, .navbar-icons a:hover, .dropdown-menu i:hover {
    color: #fc0400;
}

.dropdown-menu {
    padding: 0 10px;
    margin: 0 10px;
    cursor: pointer;
    color: black;
    font-size: 1.9em;
    transition: all ease-in-out .25s;
}

.dropdown-container {
    width: 250px;
    height: auto;
    display: none;
    position: absolute;
    right: 160px;
    top: 80px;
    border-radius: 10px;
    background: #ffffff;
    color: #151515;
    border: 2px #e7e7e7e2 solid;
}

.dropdown-menu-links {
    display: flex;
    flex-direction: column;
}

.dropdown-menu-items {
    width: 100%;
    height: auto;
    padding: 10px 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-bottom: 2px solid #e7e7e7e2;
}

.dropdown-menu-items:last-child {
    border: none;
}

.dropdown-menu-items span {
    color: #ff6435;
    font-weight: 700;
    text-transform: uppercase;
    padding: 15px 15px;
}

.dropdown-menu-items a {
    font-size: 1rem;
    padding: 15px;
    margin: 0;
}

.dropdown-menu-items a.logout {
    color: #ff6435;
}

.dropdown-menu-items a:hover, .logout:hover, .navbar-logo:hover {
    color: #fc0400;
}

.dropdown-menu-items a i {
    font-size: 1.3rem;
    padding: 0 15px 0 0;
}

.hero {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: flex-end;
    background: linear-gradient(rgba(0, 0, 0, .8), rgba(0, 0, 0, .7)), url("../images/background.jpg");
    background-size: cover;
    background-repeat: no-repeat;
}

.hero-container {
    width: 550px;
    height: 300px;
    margin: 0 0 150px 145px;
    z-index: 2;
}

.hero-container h1 {
    font-size: 64px;
    margin-bottom: 20px;
    color: var(--secundary-txt);
}


/* .Menu section */
.menu-swiper {
    width: 100%;
    padding-top: 120px;
    padding-bottom: 30px;
}

.menu-swiper header {
    max-width: 75%;
    margin: 0 auto;
    text-align: left;
    text-transform: uppercase;
}

.menu-swiper header h1 {
    color: #FF4910;
    padding: 0 15px;
    font-size: 64px;
}

.menu-swiper footer {
    max-width: 75%;
    margin: -10px auto;
    text-align: right;
    text-transform: uppercase;
}

.menu-swiper footer a {
    color: #FF4910;
    padding: 0 15px;
    text-decoration: none;
}


.swiper-container {
    max-width: 75%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-inline: 15px;
    padding-block: 60px;
    margin: 0 auto;
    /* background: rgba(0, 0, 0, .25); */
}

.swiper-wrapper {
    position: relative;
    margin-bottom: 80px;
}

.swiper-wrapper .swiper-slide {
    display: flex;
    height: 500px; 
    flex-direction: column;
    align-items: center;
    position: relative;
    /* background: rgba(0, 0, 0, .25); */
    background: #ffe2e2;
    transition: all .6s ease;
    overflow: hidden;
}

.swiper-wrapper .swiper-slide img {
    height: 50%;
    margin: 0 auto;
    object-fit: contain;
    object-position: center;
}

.swiper-pagination-bullet-active {
    background: #FF4910 !important;
}

.product-info {
    padding: 20px;
}

.product-name {
    padding-top: 10px;
    font-size: 24px;
}

.description {
    padding: 30px 0;
}

.box-bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.box-bottom button {
    margin: 0 !important;
}

.box-bottom .product-price {
    color: #FF4910;
    font-weight: 700;
    font-size: 28px;
}

.product-btns {
    display: flex;
    align-items: center;
}

.product-btns i {
    padding: 5px;
    margin-right: 15px;
    font-size: 24px;
    cursor: pointer;
}

.product-btns button {
    padding: 10px;
    margin-right: 10px;
    background: none;
    font-weight: 600;
    border: 2px solid #FF4910;
    cursor: pointer;
    transition: all ease-in-out .25s;
}

.product-btns button:hover {
    color: #fff;
    background: #FF4910;
}


/*

    Styling >>> Services <<<

    */


.services-container {
    width: 100%;
    height: auto;
    padding-block: 5em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.services-data {
    min-width: 85%;
    display: flex;
    flex-wrap: wrap;
    flex: 1;
    gap: 2.75em;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.services-content {
    width: 350px;
    height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;    
    text-align: center;
    background: #ebebeb;
    /* background: rgba(0, 0, 0, .25); */
    box-shadow: 0px 1px 10px 4px rgba(0, 0, 0, .2);
}

.services-content h2{
    padding: .5em 0;
}

.services-content p {
    padding: .5em .75em;
    font-size: 20px;
}

.services-icon {
    font-size: 60px;
    padding: .25em 0;
}

/* 
        END Services --------------------------> 
        
        */

/* ------------------------------------------ */



/*

    Styling >>> Reserve <<<

    */


.reserve {
    width: 100%;
    min-height: 100vh;
    padding-block: 5.75em;

}

.huh {
    position: relative;
    width: 100%;
    height: 60vh;
    background: url(../images/reserve-bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.reserve-container {
    min-width: 60%;
    min-height: 60vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgb(255, 255, 255);
    -webkit-box-shadow: 0px 3px 10px 2px rgba(0,0,0,0.19);
    -moz-box-shadow: 0px 3px 10px 2px rgba(0,0,0,0.19);
    box-shadow: 0px 3px 10px 2px rgba(0,0,0,0.19);
    z-index: 2;
}

.reserve-content {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
}

.reserve-content h1 {
    font-size: 64px;
    text-transform: uppercase;
    padding-bottom: .5em;
    color: #FF4910;
}

.reserve-content button {
    margin: 2em 0;
} 


/* 
        END Reserve --------------------------> 
        
        */


/*

    Styling >>> Gallery <<<

    */

.gallery-grid {
    display: grid;
    justify-content: center;
    grid-template-columns: 225px 225px 225px 225px 200px 200px;
    grid-template-rows: 200px 200px 200px 200px;
    gap: 10px;
    padding: 10px;
    background-color: #2196F3;
}
  
.gallery-grid > div {
    background-color: rgba(255, 255, 255, 0.8);
    text-align: center;
    font-size: 30px;
}
  
.gallery-item {
    position: relative;
}
  
.item1 {
    grid-row: span 4;
    grid-column: span 2;
}
  
.item2 {
    grid-row: span 2;
    grid-column: span 4;
}
  
.item7 {
    grid-row: span 2;
    grid-column: span 2;
}
  
  
.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: .5s ease;
    background-color: #008CBA;
    cursor: pointer;
}
  
.gallery-item:hover .overlay {
    opacity: 1;
}
  
.overlay-text {
    color: white;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}
  
/* 
        END Gallery --------------------------> 
        
        */




.contact-hero {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: rgba(0, 0, 0, .2);
}

.contact-upper {
    min-width: 60%;
    display: flex;
    padding-block: 4em;
    justify-content: space-between;
}

.contact-down{
    min-width: 60%;
    display: flex;
    align-items: center;
    flex-direction: row;
}

.contact-container {
    width: 85%;
    min-height: 90vh;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}


.contact-form {
    min-width: 45%;
    display: flex;
    padding-block: 2em;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: #ff9e81;
}

.contact-form header {
    width: 100%;
    background: rgba(0, 0, 0, .2);
}

.contact-form h2 {
    font-size: 32px;
    text-transform: uppercase;
    padding-top: 25px;
    padding-left: 1.75em;
    margin-bottom: 30px;
}

.contact-form form {
    width: 400px;
    display: flex;
    flex-direction: column;
}

.contact-form form input {
    width: 100%;
    padding: 1em 10% 1em .5em;
    margin-bottom: 10px;
    border: none;
    outline: none;
}

.contact-form form textarea {
    border: none;        
    margin-bottom: 30px;
}

footer {
    width: 100%;
    height: 300px;
}





/*
    END index ------------------------->

    */

/* --------------------------------------------------- */


.container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 90vh;
}

.box {
    background: #fffcfc;
    display: flex;
    flex-direction: column;
    padding: 25px 25px;
    border-radius: 20px;
    /* box-shadow: 1px 1px 10px 5px rgba(0, 0, 0, 0.137); */
}

.form-box {
    width: 450px;
    margin: 0px 10px;
}

.form-box header {
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 10px;
    border-bottom: 1px solid #e6e6e6;
    margin-bottom: 10px;
    color: rgb(44, 15, 212);
}

.form-box form .field {
    display: flex;
    margin-bottom: 10px;
    flex-direction: column;
}

.form-box form .input input {
    height: 40px;
    width: 100%;
    font-size: 16px;
    padding: 0 10px;
    border: 1px solid #ccc;    
    outline: none;
}

.submit {
    width: 100%;
}

.btn {
    height: 35px;
    background: rgb(44, 15, 212);
    border: 0;
    border-radius: 5px;
    color: #fff;
    font-size: 15px;
    text-transform: uppercase;
    cursor: pointer;
    transition: all ease-in-out .3s;
    margin-top: 10px;
    padding: 0px 10px;
    opacity: .8;
}

.btn:hover {
    opacity: 1;
}

.link {
    margin-bottom: 15px;
}





.main-profile-container {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.user-profile-container {
    width: 50%;
    height: 100vh;
    display: flex;
    flex-direction: row;
    align-items: center;
    transition: all ease-in-out .3s;
}

.user-information {
    width: 100%;
    height: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.user-information h1 span {
    text-transform: uppercase;
    color: #e4800e;
}


.user-profile-bg {
    width: 100%;
    height: 40%;
    background: url(../images/avatar-1.png);
    background-size: contain;
    background-repeat: no-repeat;
}


.edit-window-container {
    width: 50%;
    height: 80vh;
    display: flex;
    margin-left: 145px;
    align-items: center;
    transition: all ease-in-out .9s;
    background: #fffcfc;
    border-radius: 0 30px 100px 0;
    -webkit-box-shadow: 0px 3px 10px 2px rgba(0,0,0,0.19);
    -moz-box-shadow: 0px 3px 10px 2px rgba(0,0,0,0.19);
    box-shadow: 0px 3px 10px 2px rgba(0,0,0,0.19);
}

.edit-window-container header {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 50px;
    margin-right: 100px;
    color: #151515;
    border-right: 2px #FF4910 solid;
    background: #ffffff;
}

.edit-window-container header ul li{
    list-style-type: none;
    text-transform: uppercase;
    margin: 40px 0;
    padding: 10px 10px 10px 0;
    border-bottom: 1px rgba(0,0,0,0.19) solid;
    cursor: pointer;
    transition: all ease-in-out .1s;
}

.edit-window-container header ul li:hover {
    color: #FF4910;
    font-weight: 700;
    border-bottom: 2px #FF4910 solid !important;
}

.link-active {
    color: #FF4910;
    font-weight: 700;
    border-bottom: 2px #FF4910 solid !important;
}
